## List protein sequence redesign runs

**get** `/compute/v1/protein/sequence-redesign`

List protein sequence redesign runs, optionally filtered by workspace

### Query Parameters

- `after_id: optional string`

  Return results after this ID

- `before_id: optional string`

  Return results before this ID

- `limit: optional number`

  Max items to return. Defaults to 100.

- `workspace_id: optional string`

  Filter by workspace ID. Only used with admin API keys. If not provided, defaults to the workspace associated with the API key, or the default workspace for admin keys.

### Returns

- `data: array of object { id, completed_at, created_at, 13 more }`

  - `id: string`

    Unique ProteinSequenceRedesignRunSummary identifier

  - `completed_at: string`

  - `created_at: string`

  - `data_deleted_at: string`

    When the input, output, and result data was permanently deleted. Null if data has not been deleted.

  - `engine: "boltz-protein-redesign"`

    Deprecated. Use pipeline instead.

    - `"boltz-protein-redesign"`

  - `engine_version: "v2026-07-14"`

    Deprecated. Use pipeline_version instead.

    - `"v2026-07-14"`

  - `error: object { code, message, details }`

    - `code: string`

      Machine-readable error code

    - `message: string`

      Human-readable error message

    - `details: optional unknown`

      Additional field-level error details keyed by input path, when available.

  - `livemode: boolean`

    Whether this resource was created with a live API key.

  - `pipeline: "boltz-protein-redesign"`

    - `"boltz-protein-redesign"`

  - `pipeline_version: "v2026-07-14"`

    - `"v2026-07-14"`

  - `progress: object { num_proteins_generated, total_proteins_to_generate, latest_result_id }`

    - `num_proteins_generated: number`

      Number of protein binders generated so far

    - `total_proteins_to_generate: number`

      Total number of protein binders requested

    - `latest_result_id: optional string`

      ID of the most recently generated result

  - `started_at: string`

  - `status: "pending" or "running" or "succeeded" or 2 more`

    - `"pending"`

    - `"running"`

    - `"succeeded"`

    - `"failed"`

    - `"stopped"`

  - `stopped_at: string`

  - `workspace_id: string`

    Workspace ID

  - `idempotency_key: optional string`

    Client-provided idempotency key

- `first_id: string`

  ID of the first item. Use as before_id for the previous page.

- `has_more: boolean`

- `last_id: string`

  ID of the last item. Use as after_id for the next page.

### Example

```http
curl https://api.boltz.bio/compute/v1/protein/sequence-redesign \
    -H "x-api-key: $BOLTZ_API_KEY"
```

#### Response

```json
{
  "data": [
    {
      "id": "id",
      "completed_at": "2019-12-27T18:11:19.117Z",
      "created_at": "2019-12-27T18:11:19.117Z",
      "data_deleted_at": "2019-12-27T18:11:19.117Z",
      "engine": "boltz-protein-redesign",
      "engine_version": "v2026-07-14",
      "error": {
        "code": "code",
        "message": "message",
        "details": {}
      },
      "livemode": true,
      "pipeline": "boltz-protein-redesign",
      "pipeline_version": "v2026-07-14",
      "progress": {
        "num_proteins_generated": 0,
        "total_proteins_to_generate": 1,
        "latest_result_id": "latest_result_id"
      },
      "started_at": "2019-12-27T18:11:19.117Z",
      "status": "pending",
      "stopped_at": "2019-12-27T18:11:19.117Z",
      "workspace_id": "workspace_id",
      "idempotency_key": "idempotency_key"
    }
  ],
  "first_id": "first_id",
  "has_more": true,
  "last_id": "last_id"
}
```
